<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/id_back_notification"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="6dp"
        android:paddingHorizontal="7dp"
        android:src="@mipmap/fanhui"
        android:tint="@color/black"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Notification Cleaner"
        android:textColor="#000000"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/id_back_notification"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/id_back_notification"
        tools:ignore="HardcodedText" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/id_img_shezhi"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="13dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@+id/id_back_notification"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/id_back_notification" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/id_notify_clean"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginVertical="18dp"
        app:layout_constraintBottom_toTopOf="@+id/id_view_line"
        app:layout_constraintTop_toBottomOf="@+id/id_back_notification" />

    <TextView
        android:id="@+id/id_no_notification"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:drawableTop="@mipmap/queshentu"
        android:gravity="center"
        android:text="No notifications"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:ignore="HardcodedText,UseCompatTextViewDrawableXml" />

    <View
        android:id="@+id/id_view_line"
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:layout_marginBottom="8dp"
        android:background="#EEEEEE"
        app:layout_constraintBottom_toTopOf="@+id/id_tv_clean_all_t" />

    <com.noober.background.view.BLTextView
        android:id="@+id/id_tv_clean_all_t"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        android:layout_marginHorizontal="41dp"
        android:layout_marginBottom="38dp"
        android:gravity="center"
        android:text="CLEAN ALL"
        android:textColor="@color/white"
        android:textSize="18sp"
        android:textStyle="bold"
        app:bl_corners_radius="24dp"
        app:bl_solid_color="@color/theme_color"
        app:layout_constraintBottom_toBottomOf="parent"
        tools:ignore="HardcodedText" />

    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/id_ll_animation"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:background="@color/white"
        android:gravity="center"
        android:orientation="vertical"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/id_back_notification">

        <View
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_weight="1" />

        <com.airbnb.lottie.LottieAnimationView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="46dp"
            android:adjustViewBounds="true"
            app:lottie_autoPlay="true"
            app:lottie_loop="true"
            app:lottie_rawRes="@raw/new_notification_lottie" />

        <View
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_weight="1" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Scan notification"
            android:textColor="#333333"
            android:textSize="18sp"
            android:textStyle="bold"
            tools:ignore="HardcodedText" />

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="18dp"
            android:layout_marginBottom="100dp">

            <com.noober.background.view.BLView
                android:layout_width="4dp"
                android:layout_height="4dp"
                app:bl_shape="oval"
                app:bl_solid_color="#333333" />

            <com.noober.background.view.BLView
                android:layout_width="4dp"
                android:layout_height="4dp"
                android:layout_marginHorizontal="2dp"
                app:bl_shape="oval"
                app:bl_solid_color="#333333" />

            <com.noober.background.view.BLView
                android:layout_width="4dp"
                android:layout_height="4dp"
                app:bl_shape="oval"
                app:bl_solid_color="#333333" />
        </androidx.appcompat.widget.LinearLayoutCompat>

    </androidx.appcompat.widget.LinearLayoutCompat>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/id_need_notifcation_premison"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:background="@color/white"
        android:gravity="center"
        android:orientation="vertical"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/id_back_notification">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/notificationtu" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="67dp"
            android:text="Grant permission to continue"
            android:textColor="#666666"
            android:textSize="16sp"
            tools:ignore="HardcodedText" />

        <com.noober.background.view.BLTextView
            android:id="@+id/id_gant"
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:layout_marginHorizontal="41dp"
            android:layout_marginTop="12dp"
            android:gravity="center"
            android:text="GRANT"
            android:textColor="@color/white"
            android:textSize="18sp"
            android:textStyle="bold"
            app:bl_corners_radius="24dp"
            app:bl_gradient_angle="180"
            app:bl_gradient_endColor="@color/color_655afd"
            app:bl_gradient_startColor="#8720eb"
            tools:ignore="HardcodedText" />

    </androidx.appcompat.widget.LinearLayoutCompat>
</androidx.constraintlayout.widget.ConstraintLayout>